Bug 1608014 - [sat64] Next/Previous page option should also be available at the bottom of the Red Hat Repositories page
Summary: [sat64] Next/Previous page option should also be available at the bottom of t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.4.0
Assignee: Amir
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 18:25 UTC by Ashish Humbe
Modified: 2019-11-05 23:30 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.11-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:23:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24485 None None None 2018-07-31 02:33:29 UTC

Description Ashish Humbe 2018-07-24 18:25:28 UTC
Description of problem:

On Red Hat Repositories page in Satellite 6.4, the next/previous page option is available only on the top side of the "Available Repositories" page. 

When the user change per page value to 50 he has to scroll up to go to the next page. It will be good if we can have page navigation option at the bottom as well.

Comment 1 Roxanne Hoover 2018-07-27 18:12:48 UTC
Currently PF specifies pagination in that location. That said, I've taken this back to the UXD team as a possible pattern improvement and will also discuss with UI team.

Ideally, pagination can occur at the top and bottom only when results deem it necessary and not in all circumstances. For example: Top/bottom pagination would be unnecessary (and visually redundant) for 5 results but helpful for 50.

Comment 2 Brad Buckingham 2018-07-27 18:20:39 UTC
Rox,

Should we hold off on aligning this to a release based on comment 1?

Comment 4 Walden Raines 2018-07-31 02:33:28 UTC
Created redmine issue https://projects.theforeman.org/issues/24485 from this bug

Comment 5 pm-sat@redhat.com 2018-08-02 15:36:06 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 6 pm-sat@redhat.com 2018-08-02 15:36:08 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 7 Walden Raines 2018-08-02 23:49:40 UTC
Note when verifying that the fix was to make the pagination float rather than put it at both the top and the bottom.

Comment 8 Walden Raines 2018-08-02 23:50:30 UTC
Clearing the NEEDINFO since this will go with 6.4 GA.

Comment 9 pm-sat@redhat.com 2018-08-03 00:05:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24485 has been resolved.

Comment 11 Nikhil Kathole 2018-08-20 11:32:30 UTC
VERIFIED:

Version tested:
Satellite 6.4 snap 18

Now Next/Previous page option floats and no need to scroll to top to select page entries.

While verifying I found when user scrolls to bottom and try to change per-page entries, dropdown hides behind and user not able to select value for per-page. BZ raised: https://bugzilla.redhat.com/show_bug.cgi?id=1619224

Comment 12 Bryan Kearney 2018-10-16 19:23:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.